package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrPipeMapper;
import com.ruoyi.project.pssr.domain.TPssrPipe;
import com.ruoyi.project.pssr.service.ITPssrPipeService;

/**
 * 管道Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrPipeServiceImpl implements ITPssrPipeService
{
    @Autowired
    private TPssrPipeMapper tPssrPipeMapper;

    /**
     * 查询管道
     *
     * @param id 管道ID
     * @return 管道
     */
    @Override
    public TPssrPipe selectTPssrPipeById(Long id)
    {
        return tPssrPipeMapper.selectTPssrPipeById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrPipeMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询管道列表
     *
     * @param tPssrPipe 管道
     * @return 管道
     */
    @Override
    public List<TPssrPipe> selectTPssrPipeList(TPssrPipe tPssrPipe)
    {
        return tPssrPipeMapper.selectTPssrPipeList(tPssrPipe);
    }

    /**
     * 新增管道
     *
     * @param tPssrPipe 管道
     * @return 结果
     */
    @Override
    public int insertTPssrPipe(TPssrPipe tPssrPipe)
    {
        return tPssrPipeMapper.insertTPssrPipe(tPssrPipe);
    }

    /**
     * 修改管道
     *
     * @param tPssrPipe 管道
     * @return 结果
     */
    @Override
    public int updateTPssrPipe(TPssrPipe tPssrPipe)
    {
        return tPssrPipeMapper.updateTPssrPipe(tPssrPipe);
    }

    /**
     * 批量删除管道
     *
     * @param ids 需要删除的管道ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPipeByIds(Long[] ids)
    {
        return tPssrPipeMapper.deleteTPssrPipeByIds(ids);
    }

    /**
     * 删除管道信息
     *
     * @param id 管道ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPipeById(Long id)
    {
        return tPssrPipeMapper.deleteTPssrPipeById(id);
    }

    @Override
    public int updateAllBySubId(TPssrPipe pipe) {
        return tPssrPipeMapper.updateAllBySubId(pipe);
    }

    @Override
    public TPssrPipe selectAllConfirmedPersonBySubId(TPssrPipe entity) {
        return tPssrPipeMapper.selectAllConfirmedPersonBySubId(entity);
    }
}
